###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Szabo, Bence Janos
#
###############################################################################
[MODULE_PARAMETERS]
ExclusiveRangeTemplateMP.mp_int_positive_templ := (!1 .. !10)
ExclusiveRangeTemplateMP.mp_int_negative_templ := (-infinity .. !1)
ExclusiveRangeTemplateMP.mp_float_positive_templ := (!1.0 .. !10.0)
ExclusiveRangeTemplateMP.mp_float_negative_templ := (!-10.0 .. !-1.0)
ExclusiveRangeTemplateMP.mp_float_infinity_templ := (!-infinity .. !10.0)
ExclusiveRangeTemplateMP.mp_charstring_templ := (!"d" .. !"g")
ExclusiveRangeTemplateMP.mp_unicharstring_charstring_templ := (!"d" .. !"g")
ExclusiveRangeTemplateMP.mp_unicharstring_unicharstring_templ := (!char(1,2,3,4) .. !char(1,2,4,5))
[LOGGING]
Logfile := "exclusiverangetempalte.log"
FileMask := LOG_ALL
ConsoleMask := WARNING | ERROR | TESTCASE | STATISTICS
[EXECUTE]
ExclusiveRangeTemplate
ExclusiveRangeTemplateMP
